﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;

namespace TestEagerLoadingBug
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var model = new Model())
            {
                var clients = model.Clients
                                   .Include(c => c.Orders)
                                   .Include(c => c.Orders.Select(o => o.Items))
                                   .Include(c => c.Orders.Select(o => o.Discounts));

                clients.Load();
            }
        }
    }
}
